using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Export.Pdf.Section;
using GrapeCity.ActiveReports.Viewer.Common.Internal;
using System.Diagnostics;
using System.Xml;

namespace SamplePDFExport
{
    public partial class ViewerForm : Form
    {
        SectionReport sectionReport = new SectionReport();
        PageReport pageReport = new PageReport();
        PdfExport PdfExport = new PdfExport();
        FileInfo info;
        public ViewerForm()
        {
            InitializeComponent();
            sectionReport.LoadLayout(XmlReader.Create("SectionReport1.rpx"));
            info = new FileInfo("Page1.rdlx");
            pageReport.Load(info);
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            viewer1.LoadDocument(sectionReport);
        }

        private void exportBtn_Click(object sender, EventArgs e)
        {
            if (viewer1.Document == sectionReport.Document)
            {
                sectionReport.Run();
                PdfExport.Export(sectionReport.Document, "SectionReportPDFExpt.pdf");
                var p = new Process();
                p.StartInfo = new ProcessStartInfo("SectionReportPDFExpt.pdf")
                {
                    UseShellExecute = true
                };
                p.Start();
            }
            else
            {
                DirectoryInfo outputDirectory = new DirectoryInfo(@"C:\MyPDF");
                outputDirectory.Create();
                GrapeCity.ActiveReports.Export.Pdf.Page.Settings pdfSetting = new GrapeCity.ActiveReports.Export.Pdf.Page.Settings();
                GrapeCity.ActiveReports.Export.Pdf.Page.PdfRenderingExtension pdfRenderingExtension = new
                        GrapeCity.ActiveReports.Export.Pdf.Page.PdfRenderingExtension();

                GrapeCity.ActiveReports.Rendering.IO.FileStreamProvider outputProvider = new GrapeCity.ActiveReports.Rendering.IO.FileStreamProvider(outputDirectory,
                        Path.GetFileNameWithoutExtension(outputDirectory.Name));
                outputProvider.OverwriteOutputFile = true;
                pageReport.Document.Render(pdfRenderingExtension, outputProvider, pdfSetting);
                var p = new Process();
                p.StartInfo = new ProcessStartInfo(@"C:\MyPDF")
                {
                    UseShellExecute = true
                };
                p.Start();
            }
        }
        private void sectionReportBtn_Click(object sender, EventArgs e)
        {
            viewer1.LoadDocument(sectionReport);
        }
        private void pageRportBtn_Click(object sender, EventArgs e)
        {
            viewer1.LoadDocument(pageReport.Document);
        }
    }
}